@echo off
setlocal
cd /d "%~dp0"
call bat\ntver.bat

call config.bat
set "cmdsuffix= "
if "%debug%" == "0" set "cmdsuffix=>nul 2>&1"
call "tools\kill.bat"

echo * Downloading components
mkdir downloads >nul 2>&1
call bat\mods.bat download 1
if "%errorlevel%" neq "0" goto error
if "%~1" == "-download" goto exit

echo.
echo * Installing components
mkdir components >nul 2>&1
call bat\mods.bat install 1
if "%errorlevel%" neq "0" goto error
goto exit

:error
echo.
echo Failed!
if not "%~1" == "-nopause" if not "%~1" == "-download" pause
exit /b 1

:exit
echo.
echo Success!
if not "%~1" == "-download" echo Log out and back in to apply
if not "%~1" == "-nopause" if not "%~1" == "-download" pause
exit /b 0